/************************************************************************/
/*                                                                      */
/*                      RC5 Remote Receiver                             */
/*                                                                      */
/*              Author: Peter Dannegger                                 */
/*                      danni@specs.de                                  */
/*                                                                      */
/************************************************************************/
#include <C:\WinAVR-20100110\avr\include\avr\io.h>
#include <C:\WinAVR-20100110\avr\include\avr\interrupt.h>
//#include <C:\WinAVR-20100110\avr\include\avr\signal.h>
//#include <C:\WinAVR-20100110\avr\include\stdlib.h>  //wird nur fr die itoa-Funktion gebraucht


#define uchar unsigned char
#define uint unsigned int

#define	xRC5_IN		PINB
#define	xRC5		PB4			// IR input low active, ist PIN 16, (Pin11 war in Versuchsschaltung noch frei)

//#define	XTAL		11.0592e6
//#define	XTAL		7.3728e6
//#define XTAL		5e6
#define XTAL		4e6

#define	BAUD	19200
#define bauddivider (uint)(XTAL / BAUD / 16 - 0.5)


extern volatile uint rc5_data;				// store result  
//Achtung!!! mu volatile sein, laut http://www.mikrocontroller.net/topic/95575#new
//mute als Folge dieser nderung noch innerhalb von rc5.c die Zeile "volatile uint	rc5_data;	// store result" ndern
//ist klar, da es hieran liegen kann, denn es wurde niemels in das if hinein gesprungen.
//Allerdings bringt nur eine von 5 Fernbedienungen den RC5-Code tatschlich!!! Es waren also zwei Fehlerquellen gleichzeitig!


//anscheinend ist das diejenige Variable, die global gilt, innerhalb der Interruptroutine sowie innerhalb von Main
